<?php
/**
 * Interface: For setting up project config to be used
 */
namespace EwTools\Interfaces;

/**
 * Interface PluginConfigInterface
 *
 * @link  http://infomaker.se
 * @since EwTools\Interfaces\PluginConfigInterface 0.1
 */
interface PluginConfigInterface {
    
    /**
     * Retrieve the name of the project plugin
     *
     * @since 0.1
     * @return string
     */
    public function getName();
    
    /**
     * Get the project slug
     *
     * @since 0.1
     * @return string
     */
    public function getSlug();
    
    /**
     * Get the folder-name project-plugin
     *
     * @param string $file
     *
     * @since 0.1
     * @return mixed
     */
    public function getPath($file='');
}